## xmbdfed 3.0.1

=== Makefile ===
#
# Copyright 1996, 1997, 1998 Computing Research Labs,
# New Mexico State University
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE COMPUTING RESEARCH LAB OR NEW MEXICO STATE UNIVERSITY BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT
# OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
# THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
#
# $Id: Makefile,v 1.18 1998/02/06 21:19:40 mleisher Exp mleisher $
#
CC = gcc
CFLAGS = -g -Wall

OTHER = README COPYRIGHTS Makefile Imakefile.lesstif Project.tmpl \
        xmbdfedrc xmbdfed.man

HDRS = FGrid.h FGridP.h GEShared.h GEdit.h GEditP.h GEditTB.h GEditTBP.h \
       GTest.h GTestP.h ProgBar.h ProgBarP.h bdf.h bdfP.h bitmaps.h \
       htext.h xmbdfed.h

SRCS = FGrid.c GEdit.c GEditTB.c GTest.c ProgBar.c bdf.c bdfcons.c bdffnt.c \
       bdfgrab.c bdfgrid.c bdfpkgf.c bdfttf.c comment.c finfo.c fntin.c \
       glyphed.c grab.c help.c ops.c prog.c props.c setup.c test.c ttfin.c \
       xmbdfed.c

OBJS = FGrid.o GEdit.o GEditTB.o GTest.o ProgBar.o bdf.o bdfcons.o bdffnt.o \
       bdfgrab.o bdfgrid.o bdfpkgf.o bdfttf.o comment.o finfo.o fntin.o \
       glyphed.o grab.o help.o ops.o prog.o props.o setup.o test.o ttfin.o \
       xmbdfed.o $(HBF_OBJS)

#
# Uncomment these if you have the FreeType library and want to use it to
# import TrueType fonts.
#
#FTYPE_INCS = -I/usr/local/include
#FTYPE_LIBS = -L/user/local/lib -lttf
#FTYPE_DEFS = -DHAVE_FREETYPE

#
# Uncomment these if you have the hbf.h and hbf.c files in the current
# directory and the patch has been applied.
#
#HBF_HDRS = hbf.h
#HBF_OBJS = hbf.o
#HBF_DEFS = -DHAVE_HBF

#
# Specify the various defines needed for HBF fonts.  If you do not have GNU
# zip/unzip, then don't worry, you just can not open HBF fonts that refer to
# files with a ".gz" extension.  If you don't care about HBF fonts, just
# comment this line out.
#
HBFDEFS = -Dunix -DIN_MEMORY -DGUNZIP_CMD="\"/usr/local/bin/gunzip -c\""

#
# Set the defines used for all files except the HBF support.
#
DEFS = -DHAVE_XLIB $(FTYPE_DEFS) $(HBF_DEFS)

#
# Uncomment these for SunOS.
#
#INCS = -I/usr/local/X11/include -I/usr/local/Motif-2.0/include $(FTYPE_INCS)
#LIBS = -L/usr/local/Motif-2.0/lib -lXm \
#       -L/usr/local/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE \
#       $(FTYPE_LIBS)

#
# Uncomment these for Solaris.
#
#INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
#LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
#       -L/usr/openwin/lib -lXmu -lXt -lX11 $(FTYPE_LIBS)

#
# Uncomment these for Linux.
#
INCS = -I/usr/X11/include -I/usr/local/Motif-2.0.1/include $(FTYPE_INCS)
LIBS = -L/usr/local/Motif-2.0.1/lib -lXm \
       -L/usr/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)

#
# Uncomment these for HPUX.
#
#INCS = -I/usr/include/X11R5 -I/usr/local/x11r6/include \
#       -I/usr/include/Motif1.2 $(FTYPE_INCS)
#LIBS = -L/usr/lib/Motif1.2 -lXm -L/usr/lib/X11R5 -L/usr/local/x11r6/lib \
#       -lXmu -lXt -lX11 $(FTYPE_LIBS)

all: xmbdfed

xmbdfed: $(OBJS)
	$(PURIFY) $(CC) $(STATIC) $(CFLAGS) -o xmbdfed $(OBJS) $(LIBS)

hbf.o: hbf.c
	$(CC) $(CFLAGS) $(DEFS) $(HBFDEFS) $(INCS) -c $< -o $@

.c.o:
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

tar:
	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS)

clean:
	/bin/rm -f *.o *BAK *CKP *~

realclean: clean
	/bin/rm -f xmbdfed

#
# Dependencies.
#
FGrid.o: FGrid.c FGridP.h FGrid.h bdfP.h bdf.h
GEdit.o: GEdit.c GEditP.h GEdit.h bdf.h GEShared.h
GEditTB.o: GEditTB.c GEditTBP.h GEditTB.h bdf.h GEShared.h bitmaps.h
GTest.o: GTest.c GTestP.h GTest.h bdfP.h bdf.h
ProgBar.o: ProgBar.c ProgBarP.h ProgBar.h
bdf.o: bdf.c bdfP.h bdf.h $(HBF_HDRS)
bdfgrab.o: bdfgrab.c bdfP.h bdf.h
bdfgrid.o: bdfgrid.c bdfP.h bdf.h
bdfcons.o: bdfcons.c bdfP.h bdf.h
bdfpkgf.o: bdfpkgf.c bdfP.h bdf.h
bdfttf.o: bdfttf.c bdfP.h bdf.h
comment.o: comment.c FGrid.h bdfP.h bdf.h xmbdfed.h
finfo.o: finfo.c FGrid.h bdfP.h bdf.h xmbdfed.h
glyphed.o: glyphed.c FGrid.h bdfP.h bdf.h GEdit.h GEShared.h GEditTB.h \
 xmbdfed.h
grab.o: grab.c FGrid.h bdfP.h bdf.h xmbdfed.h
hbf.o: hbf.c hbf.h
help.o: help.c bdf.h xmbdfed.h htext.h
prog.o: prog.c ProgBar.h bdf.h xmbdfed.h
props.o: props.c FGrid.h bdfP.h bdf.h xmbdfed.h
setup.o: setup.c FGrid.h bdfP.h bdf.h xmbdfed.h
test.o: test.c FGrid.h bdfP.h bdf.h xmbdfed.h GTest.h
ttfin.o: ttfin.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
xmbdfed.o: xmbdfed.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h

## xmbdfed 3.3

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,10 @@
 # THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 #
 #
-# $Id: Makefile,v 1.18 1998/02/06 21:19:40 mleisher Exp mleisher $
+# $Id: Makefile,v 1.2 1998/10/12 18:46:42 mleisher Exp $
 #
 CC = gcc
-CFLAGS = -g -Wall
+CFLAGS = -g
 
 OTHER = README COPYRIGHTS Makefile Imakefile.lesstif Project.tmpl \
         xmbdfedrc xmbdfed.man
@@ -47,17 +47,17 @@
 # Uncomment these if you have the FreeType library and want to use it to
 # import TrueType fonts.
 #
-#FTYPE_INCS = -I/usr/local/include
-#FTYPE_LIBS = -L/user/local/lib -lttf
-#FTYPE_DEFS = -DHAVE_FREETYPE
+FTYPE_INCS = -I/home/mleisher/include
+FTYPE_LIBS = -L/home/mleisher/lib -lttf
+FTYPE_DEFS = -DHAVE_FREETYPE
 
 #
 # Uncomment these if you have the hbf.h and hbf.c files in the current
 # directory and the patch has been applied.
 #
-#HBF_HDRS = hbf.h
-#HBF_OBJS = hbf.o
-#HBF_DEFS = -DHAVE_HBF
+HBF_HDRS = hbf.h
+HBF_OBJS = hbf.o
+HBF_DEFS = -DHAVE_HBF
 
 #
 # Specify the various defines needed for HBF fonts.  If you do not have GNU
@@ -83,16 +83,16 @@
 #
 # Uncomment these for Solaris.
 #
-#INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
-#LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
-#       -L/usr/openwin/lib -lXmu -lXt -lX11 $(FTYPE_LIBS)
+INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
+LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
+       -L/usr/openwin/lib -lXmu -lXt -lXext -lX11 $(FTYPE_LIBS)
 
 #
 # Uncomment these for Linux.
 #
-INCS = -I/usr/X11/include -I/usr/local/Motif-2.0.1/include $(FTYPE_INCS)
-LIBS = -L/usr/local/Motif-2.0.1/lib -lXm \
-       -L/usr/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
+#INCS = -I/usr/X11/include -I/usr/local/Motif-2.0.1/include $(FTYPE_INCS)
+#LIBS = -L/usr/local/Motif-2.0.1/lib -lXm \
+#       -L/usr/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
 
 #
 # Uncomment these for HPUX.
@@ -114,7 +114,7 @@
 	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@
 
 tar:
-	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS)
+	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS) hbf.c hbf.h HBF.PATCH INSTALL
 
 clean:
 	/bin/rm -f *.o *BAK *CKP *~

## xmbdfed 4.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 1996, 1997, 1998 Computing Research Labs,
+# Copyright 1996, 1997, 1998, 1999 Computing Research Labs,
 # New Mexico State University
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
@@ -21,12 +21,12 @@
 # THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 #
 #
-# $Id: Makefile,v 1.2 1998/10/12 18:46:42 mleisher Exp $
+# $Id: Makefile,v 1.8 1999/05/03 17:17:50 mleisher Exp $
 #
 CC = gcc
-CFLAGS = -g
+CFLAGS = -g -Wall
 
-OTHER = README COPYRIGHTS Makefile Imakefile.lesstif Project.tmpl \
+OTHER = README CHANGES COPYRIGHTS Makefile Imakefile.lesstif Project.tmpl \
         xmbdfedrc xmbdfed.man
 
 HDRS = FGrid.h FGridP.h GEShared.h GEdit.h GEditP.h GEditTB.h GEditTBP.h \
@@ -34,30 +34,30 @@
        htext.h xmbdfed.h
 
 SRCS = FGrid.c GEdit.c GEditTB.c GTest.c ProgBar.c bdf.c bdfcons.c bdffnt.c \
-       bdfgrab.c bdfgrid.c bdfpkgf.c bdfttf.c comment.c finfo.c fntin.c \
-       glyphed.c grab.c help.c ops.c prog.c props.c setup.c test.c ttfin.c \
-       xmbdfed.c
+       bdfgname.c bdfgrab.c bdfgrid.c bdfpkgf.c bdfttf.c color.c comment.c \
+       finfo.c fntin.c glyphed.c grab.c help.c ops.c prog.c props.c setup.c \
+       test.c ttfin.c xmbdfed.c
 
 OBJS = FGrid.o GEdit.o GEditTB.o GTest.o ProgBar.o bdf.o bdfcons.o bdffnt.o \
-       bdfgrab.o bdfgrid.o bdfpkgf.o bdfttf.o comment.o finfo.o fntin.o \
-       glyphed.o grab.o help.o ops.o prog.o props.o setup.o test.o ttfin.o \
-       xmbdfed.o $(HBF_OBJS)
+       bdfgname.o bdfgrab.o bdfgrid.o bdfpkgf.o bdfttf.o color.o comment.o \
+       finfo.o fntin.o glyphed.o grab.o help.o ops.o prog.o props.o setup.o \
+       test.o ttfin.o xmbdfed.o $(HBF_OBJS)
 
 #
 # Uncomment these if you have the FreeType library and want to use it to
 # import TrueType fonts.
 #
-FTYPE_INCS = -I/home/mleisher/include
-FTYPE_LIBS = -L/home/mleisher/lib -lttf
-FTYPE_DEFS = -DHAVE_FREETYPE
+#FTYPE_INCS = -I/usr/local/include
+#FTYPE_LIBS = -L/user/local/lib -lttf
+#FTYPE_DEFS = -DHAVE_FREETYPE
 
 #
 # Uncomment these if you have the hbf.h and hbf.c files in the current
 # directory and the patch has been applied.
 #
-HBF_HDRS = hbf.h
-HBF_OBJS = hbf.o
-HBF_DEFS = -DHAVE_HBF
+#HBF_HDRS = hbf.h
+#HBF_OBJS = hbf.o
+#HBF_DEFS = -DHAVE_HBF
 
 #
 # Specify the various defines needed for HBF fonts.  If you do not have GNU
@@ -97,10 +97,39 @@
 #
 # Uncomment these for HPUX.
 #
+# MIT Athena include files are in /usr/local/include/X11 and subdirectories.
+# They *do not* come with HP-UX 10.20 or earlier; you can get them from e.g.
+# ftp://hpux.csc.liv.ac.uk/hpux/X11/Core/Xaw-5.00/
+#
+#CC = cc
+#CFLAGS = -Aa -Wp,-H,32384 -D_HPUX_SOURCE
 #INCS = -I/usr/include/X11R5 -I/usr/local/x11r6/include \
 #       -I/usr/include/Motif1.2 $(FTYPE_INCS)
 #LIBS = -L/usr/lib/Motif1.2 -lXm -L/usr/lib/X11R5 -L/usr/local/x11r6/lib \
 #       -lXmu -lXt -lX11 $(FTYPE_LIBS)
+
+#
+# Another HP/UX 10.20 setup for X11R6.
+#
+#CC = cc
+#CFLAGS = -Aa -Wp,-H,32384 -D_HPUX_SOURCE
+#INCS = -I/usr/include/X11R6 -I/usr/contrib/X11R6/include \
+#       -I/usr/include/Motif1.2 $(FTYPE_INCS)
+#LIBS = -L/usr/lib/Motif1.2 -lXm -L/usr/lib/X11R6 -L/usr/contrib/X11R6/lib \
+#       -lXmu -lXt -lX11 $(FTYPE_LIBS)
+
+#
+# Uncomment these for SCO.
+# 
+#INCS = $(FTYPE_INCS)
+#LIBS = -lXm -lXmu -lXt -lXext -lX11 -lsocket $(FTYPE_LIBS)
+
+#
+# Uncomment these for IRIX 6.5.2.
+#
+#INCS = -I/usr/include/Xm -I/usr/include/X11 $(FTYPE_INCS)
+#LIBS = -L/usr/Motif-1.2/lib32 -lXm \
+#       -L/usr/lib/X11 -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
 
 all: xmbdfed
 
@@ -114,7 +143,7 @@
 	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@
 
 tar:
-	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS) hbf.c hbf.h HBF.PATCH INSTALL
+	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS)
 
 clean:
 	/bin/rm -f *.o *BAK *CKP *~
@@ -126,26 +155,31 @@
 # Dependencies.
 #
 FGrid.o: FGrid.c FGridP.h FGrid.h bdfP.h bdf.h
-GEdit.o: GEdit.c GEditP.h GEdit.h bdf.h GEShared.h
-GEditTB.o: GEditTB.c GEditTBP.h GEditTB.h bdf.h GEShared.h bitmaps.h
+GEdit.o: GEdit.c GEditP.h GEdit.h bdfP.h bdf.h GEShared.h
+GEditTB.o: GEditTB.c GEditTBP.h GEditTB.h bdfP.h bdf.h GEShared.h \
+ bitmaps.h
 GTest.o: GTest.c GTestP.h GTest.h bdfP.h bdf.h
 ProgBar.o: ProgBar.c ProgBarP.h ProgBar.h
 bdf.o: bdf.c bdfP.h bdf.h $(HBF_HDRS)
+bdfcons.o: bdfcons.c bdfP.h bdf.h
+bdffnt.o: bdffnt.c bdfP.h bdf.h
+bdfgname.o: bdfgname.c bdfP.h bdf.h
 bdfgrab.o: bdfgrab.c bdfP.h bdf.h
 bdfgrid.o: bdfgrid.c bdfP.h bdf.h
-bdfcons.o: bdfcons.c bdfP.h bdf.h
 bdfpkgf.o: bdfpkgf.c bdfP.h bdf.h
-bdfttf.o: bdfttf.c bdfP.h bdf.h
+bdfttf.o: bdfttf.c
+color.o: color.c bdfP.h bdf.h xmbdfed.h
 comment.o: comment.c FGrid.h bdfP.h bdf.h xmbdfed.h
 finfo.o: finfo.c FGrid.h bdfP.h bdf.h xmbdfed.h
+fntin.o: fntin.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
 glyphed.o: glyphed.c FGrid.h bdfP.h bdf.h GEdit.h GEShared.h GEditTB.h \
  xmbdfed.h
 grab.o: grab.c FGrid.h bdfP.h bdf.h xmbdfed.h
-hbf.o: hbf.c hbf.h
 help.o: help.c bdf.h xmbdfed.h htext.h
+ops.o: ops.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
 prog.o: prog.c ProgBar.h bdf.h xmbdfed.h
 props.o: props.c FGrid.h bdfP.h bdf.h xmbdfed.h
 setup.o: setup.c FGrid.h bdfP.h bdf.h xmbdfed.h
 test.o: test.c FGrid.h bdfP.h bdf.h xmbdfed.h GTest.h
-ttfin.o: ttfin.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
+ttfin.o: ttfin.c
 xmbdfed.o: xmbdfed.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h

## xmbdfed 4.5patch1-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #
-# Copyright 1996, 1997, 1998, 1999 Computing Research Labs,
-# New Mexico State University
+# Copyright 2001 Computing Research Labs, New Mexico State University
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
 # copy of this software and associated documentation files (the "Software"),
@@ -21,7 +20,7 @@
 # THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 #
 #
-# $Id: Makefile,v 1.8 1999/05/03 17:17:50 mleisher Exp $
+# $Id: Makefile,v 1.10 2001/09/19 21:00:42 mleisher Exp $
 #
 CC = gcc
 CFLAGS = -g -Wall
@@ -47,9 +46,9 @@
 # Uncomment these if you have the FreeType library and want to use it to
 # import TrueType fonts.
 #
-#FTYPE_INCS = -I/usr/local/include
-#FTYPE_LIBS = -L/user/local/lib -lttf
-#FTYPE_DEFS = -DHAVE_FREETYPE
+FTYPE_INCS = -I/usr/include/freetype
+FTYPE_LIBS = -lttf
+FTYPE_DEFS = -DHAVE_FREETYPE
 
 #
 # Uncomment these if you have the hbf.h and hbf.c files in the current
@@ -83,16 +82,15 @@
 #
 # Uncomment these for Solaris.
 #
-INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
-LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
-       -L/usr/openwin/lib -lXmu -lXt -lXext -lX11 $(FTYPE_LIBS)
+#INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
+#LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
+#       -L/usr/openwin/lib -lXmu -lXt -lXext -lX11 $(FTYPE_LIBS)
 
 #
 # Uncomment these for Linux.
 #
-#INCS = -I/usr/X11/include -I/usr/local/Motif-2.0.1/include $(FTYPE_INCS)
-#LIBS = -L/usr/local/Motif-2.0.1/lib -lXm \
-#       -L/usr/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
+INCS = -I/usr/X11R6/include $(FTYPE_INCS)
+LIBS = -L/usr/X11R6/lib -lXm -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
 
 #
 # Uncomment these for HPUX.

=== debian/changelog ===
xmbdfed (4.5patch1-1) unstable; urgency=low

  * New upstream patch for v4.5 (Closes: bug#141188)

 -- Baruch Even <baruch@debian.org>  Sun,  7 Apr 2002 04:53:20 +0300

xmbdfed (4.5-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Fri,  4 Jan 2002 19:38:18 +0200

xmbdfed (4.4-4) unstable; urgency=low

  * Taking over maintainership. (Closes: Bug#90056)
  * Uploading to fix a version mismatch, version in sid was called 4.3
    even though it was 4.4
  * Fixed a small bug that had a warning, there are many more warnings
    and it will take time to squash them and verify that they are not bugs.

 -- Baruch Even <baruch@debian.org>  Fri,  7 Sep 2001 19:52:17 +0300

xmbdfed (4.4-3) unstable; urgency=low

  * Updated build dependency on freetype2-dev to libttf-dev.
  * Conforms to Standards version 3.5.5.

 -- Matej Vela <vela@debian.org>  Wed, 13 Jun 2001 04:01:26 +0200

xmbdfed (4.4-2) unstable; urgency=low

  * Changed priority to optional, correcting the override disparity.

 -- Matej Vela <vela@debian.org>  Tue, 17 Apr 2001 13:44:09 +0200

xmbdfed (4.4-1) unstable; urgency=low

  * New upstream version.
  * Package is orphaned (see #90056); maintainer set to Debian QA Group.
  * Converted to debhelper.
  * Conforms to Standards version 3.5.2:
    * Added build dependencies.
    * Install into /usr rather than /usr/X11R6.
    * debian/rules: Support the `debug' build option.
  * bdf.h: No extend subdirectory in freetype2-dev; include <ftxsbit.h>.
  * debian/README.debian: Obsolete; removed.  Closes: #65230.
  * xmbdfed.c: Fixed for Alpha.  (Thanks to Falk Hueffner for the
    patch.)  Closes: #66312.
  * No need to depend on gzip as it's marked essential.
  * debian/copyright: Updated.

 -- Matej Vela <vela@debian.org>  Sun,  1 Apr 2001 12:57:22 +0200

xmbdfed (4.3-3) unstable; urgency=low

  * add -I/usr/include/freetype to really close bug 52345. I have probably
  an old version of freetype which puts its headers in /usr/include...

 -- Frederic Lepied <Lepied@debian.org>  Wed, 15 Dec 1999 06:10:05 +0100

xmbdfed (4.3-2) unstable; urgency=low

  * changed the Makefile to compile cleanly.

 -- Frederic Lepied <Lepied@debian.org>  Sat, 11 Dec 1999 20:54:33 +0100

xmbdfed (4.3-1) unstable; urgency=low

  * new upstream version. Applied patches 1 to 3. Closes Bug#51356.

 -- Frederic Lepied <Lepied@debian.org>  Sun,  5 Dec 1999 20:04:39 +0100

xmbdfed (4.1-1) unstable; urgency=low

  * new upstream version.

 -- Frederic Lepied <Lepied@debian.org>  Thu, 21 Oct 1999 18:01:04 +0200

xmbdfed (3.9-2) unstable; urgency=low

  * applied patch 1 and 2 from upstream author.

 -- Frederic Lepied <Lepied@debian.org>  Tue, 20 Jul 1999 21:47:54 +0200

xmbdfed (3.9-1) unstable; urgency=low

  * new upstream version
  * applied patch from J.H.M. Dassen (Ray) to fix Bug#40441.

 -- Frederic Lepied <Lepied@debian.org>  Tue, 29 Jun 1999 20:57:48 +0200

xmbdfed (3.7-1) unstable; urgency=low

  * new upstream version.
  * applied patch 1 to 3.

 -- Frederic Lepied <Lepied@debian.org>  Mon, 15 Feb 1999 13:03:22 +0100

xmbdfed (3.3-1) unstable; urgency=low

  * new upstream version.

 -- Frederic Lepied <Lepied@debian.org>  Thu, 15 Oct 1998 07:50:41 +0200

xmbdfed (3.2-1) unstable; urgency=low

  * new upstream version.
  * compiled with freetype2.

 -- Frederic Lepied <Lepied@debian.org>  Sun, 13 Sep 1998 20:38:16 +0200

xmbdfed (3.0.1-2) unstable frozen; urgency=low

  * (copyright): suppressed HBF statement already removed by upstream author.
  Fixes Bug#21939.

 -- Frederic Lepied <Lepied@debian.org>  Mon,  4 May 1998 05:33:34 +0200

xmbdfed (3.0.1-1) unstable; urgency=low

  * new upstream version.

 -- Frederic Lepied <Lepied@debian.org>  Thu, 19 Feb 1998 05:03:16 +0100

xmbdfed (2.9-2) unstable; urgency=low

  * updated Imakefile to use new freetype0-dev package.

 -- Frederic Lepied <Lepied@debian.org>  Fri,  9 Jan 1998 22:35:34 +0100

xmbdfed (2.9-1) unstable; urgency=low

  * Initial Release.

 -- Frederic Lepied <Lepied@debian.org>  Wed, 24 Dec 1997 17:31:22 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xmbdfed
Section: x11
Priority: optional
Maintainer: Baruch Even <baruch@debian.org>
Standards-Version: 3.5.5
Build-Depends: debhelper (>= 3), libttf-dev, lesstif-dev

Package: xmbdfed
Architecture: any
Depends: ${shlibs:Depends}
Description: X11 font editor
 XmBDFEditor is a Motif-based BDF font editor with the following features:
 .
  o  Multiple fonts can be loaded from the command line.
  o  Multiple fonts can be open at the same time.
  o  Cutting and pasting glyphs between fonts.
  o  Multiple glyph bitmap editors can be open at the same time.
  o  Cutting and pasting between glyph bitmap editors.
  o  Automatic correction of certain metrics when a font is loaded.
  o  Generation of XLFD font names for fonts without XLFD names.
  o  Update an XLFD font name from the font properties.
  o  Update the font properties from an XLFD font name.
  o  Font property editor.
  o  Font comment editor.
  o  Supports unencoded glyphs (ENCODING of -1).
  o  Display of glyph encodings in octal, decimal, or hex.
  o  Builtin on-line help.
  o  Imports PK/GF fonts.
  o  Imports Linux console fonts (PSF, CP, and FNT).
  o  Imports Sun console fonts (vfont format).
  o  Imports fonts from the X server.
  o  Imports Windows FON/FNT fonts.
  o  Imports TrueType fonts and collections.

=== debian/rules ===
#! /usr/bin/make -f

export DH_COMPAT := 3

CFLAGS := -O2 -Wall
ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
CFLAGS += -g
endif

clean:
	dh_testdir
	dh_testroot
	dh_clean build.stamp
	$(MAKE) realclean

build: build.stamp
build.stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	> $@

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin
	install xmbdfed debian/xmbdfed/usr/bin
	dh_installdocs README
	dh_installexamples xmbdfedrc
	dh_installmenu
	dh_installman xmbdfed.man
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build

.PHONY: clean build binary binary-arch binary-indep

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
ftp://crl.nmsu.edu /CLR/multiling/General/ xmbdfed-(\\d+\\.\\d+\\.?\\d*)\\.tar\\.gz   debian

## xmbdfed 4.7

=== debian/changelog ===
xmbdfed (1:4.7) unstable; urgency=low

  * Package was removed since it was obsolete and replaced with gbdfed.
    This is now a transition only package.

 -- Baruch Even <baruch@debian.org>  Sat, 15 Jul 2006 16:05:54 +0100

xmbdfed (4.7patch1-2) unstable; urgency=low

  * Add build-dependency on libxmu-dev (Closes: bug#256425)

 -- Baruch Even <baruch@debian.org>  Sun, 27 Jun 2004 09:54:56 +0300

xmbdfed (4.7patch1-1) unstable; urgency=low

  * New upstream version (Closes: bug#239965)

 -- Debian User <baruch@debian.org>  Wed, 31 Mar 2004 09:24:47 +0200

=== debian/control ===
Source: xmbdfed
Section: x11
Priority: optional
Maintainer: Baruch Even <baruch@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: xmbdfed
Architecture: all
Depends: gbdfed
Description: transitional dummy package which can be safely removed
 Dummy package to upgrade to gbdfed.
 .
 xmbdfed was obsoleted by its author who now provides gbdfed as a replacement.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## xmbdfed 4.7patch1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2001 Computing Research Labs, New Mexico State University
+# Copyright 2004 Computing Research Labs, New Mexico State University
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
 # copy of this software and associated documentation files (the "Software"),
@@ -20,7 +20,7 @@
 # THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 #
 #
-# $Id: Makefile,v 1.10 2001/09/19 21:00:42 mleisher Exp $
+# $Id: Makefile,v 1.13 2004/02/17 15:24:06 mleisher Exp $
 #
 CC = gcc
 CFLAGS = -g -Wall
@@ -33,22 +33,22 @@
        htext.h xmbdfed.h
 
 SRCS = FGrid.c GEdit.c GEditTB.c GTest.c ProgBar.c bdf.c bdfcons.c bdffnt.c \
-       bdfgname.c bdfgrab.c bdfgrid.c bdfpkgf.c bdfttf.c color.c comment.c \
-       finfo.c fntin.c glyphed.c grab.c help.c ops.c prog.c props.c setup.c \
-       test.c ttfin.c xmbdfed.c
+       bdfgname.c bdfgrab.c bdfgrid.c bdfotf.c bdfpkgf.c bdfpsf.c color.c \
+       comment.c finfo.c fntin.c glyphed.c grab.c help.c ops.c otfin.c prog.c \
+       props.c setup.c test.c xmbdfed.c
 
 OBJS = FGrid.o GEdit.o GEditTB.o GTest.o ProgBar.o bdf.o bdfcons.o bdffnt.o \
-       bdfgname.o bdfgrab.o bdfgrid.o bdfpkgf.o bdfttf.o color.o comment.o \
-       finfo.o fntin.o glyphed.o grab.o help.o ops.o prog.o props.o setup.o \
-       test.o ttfin.o xmbdfed.o $(HBF_OBJS)
+       bdfgname.o bdfgrab.o bdfgrid.o bdfotf.o bdfpkgf.o bdfpsf.o color.o \
+       comment.o finfo.o fntin.o glyphed.o grab.o help.o ops.o otfin.o prog.o \
+       props.o setup.o test.o xmbdfed.o $(HBF_OBJS)
 
 #
 # Uncomment these if you have the FreeType library and want to use it to
-# import TrueType fonts.
+# import OpenType fonts.
 #
-FTYPE_INCS = -I/usr/include/freetype
-FTYPE_LIBS = -lttf
-FTYPE_DEFS = -DHAVE_FREETYPE
+#FTYPE_INCS = -I/usr/local/include
+#FTYPE_LIBS = -L/usr/local/lib -lfreetype
+#FTYPE_DEFS = -DHAVE_FREETYPE
 
 #
 # Uncomment these if you have the hbf.h and hbf.c files in the current
@@ -82,15 +82,15 @@
 #
 # Uncomment these for Solaris.
 #
-#INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
-#LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
-#       -L/usr/openwin/lib -lXmu -lXt -lXext -lX11 $(FTYPE_LIBS)
+INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
+LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
+       -L/usr/openwin/lib -lXmu -lXt -lXext -lX11 $(FTYPE_LIBS)
 
 #
 # Uncomment these for Linux.
 #
-INCS = -I/usr/X11R6/include $(FTYPE_INCS)
-LIBS = -L/usr/X11R6/lib -lXm -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
+#INCS = -I/usr/X11/include $(FTYPE_INCS)
+#LIBS = -L/usr/X11/lib -lXm -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
 
 #
 # Uncomment these for HPUX.
@@ -150,34 +150,35 @@
 	/bin/rm -f xmbdfed
 
 #
-# Dependencies.
+# Local dependencies.
 #
-FGrid.o: FGrid.c FGridP.h FGrid.h bdfP.h bdf.h
-GEdit.o: GEdit.c GEditP.h GEdit.h bdfP.h bdf.h GEShared.h
-GEditTB.o: GEditTB.c GEditTBP.h GEditTB.h bdfP.h bdf.h GEShared.h \
- bitmaps.h
-GTest.o: GTest.c GTestP.h GTest.h bdfP.h bdf.h
-ProgBar.o: ProgBar.c ProgBarP.h ProgBar.h
+bdfcons.o: bdfcons.c bdfP.h bdf.h 
 bdf.o: bdf.c bdfP.h bdf.h $(HBF_HDRS)
-bdfcons.o: bdfcons.c bdfP.h bdf.h
-bdffnt.o: bdffnt.c bdfP.h bdf.h
-bdfgname.o: bdfgname.c bdfP.h bdf.h
-bdfgrab.o: bdfgrab.c bdfP.h bdf.h
-bdfgrid.o: bdfgrid.c bdfP.h bdf.h
-bdfpkgf.o: bdfpkgf.c bdfP.h bdf.h
-bdfttf.o: bdfttf.c
+bdffnt.o: bdffnt.c bdfP.h bdf.h 
+bdfgname.o: bdfgname.c bdfP.h bdf.h 
+bdfgrab.o: bdfgrab.c bdfP.h bdf.h 
+bdfgrid.o: bdfgrid.c bdfP.h bdf.h 
+bdfotf.o: bdfotf.c bdfP.h bdf.h 
+bdfpkgf.o: bdfpkgf.c bdfP.h bdf.h 
+bdfpsf.o: bdfpsf.c bdfP.h bdf.h 
 color.o: color.c bdfP.h bdf.h xmbdfed.h
 comment.o: comment.c FGrid.h bdfP.h bdf.h xmbdfed.h
+FGrid.o: FGrid.c FGridP.h FGrid.h bdfP.h bdf.h 
 finfo.o: finfo.c FGrid.h bdfP.h bdf.h xmbdfed.h
 fntin.o: fntin.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
+GEdit.o: GEdit.c GEditP.h GEdit.h bdfP.h bdf.h GEShared.h 
+GEditTB.o: GEditTB.c GEditTBP.h GEditTB.h bdfP.h bdf.h GEShared.h bitmaps.h
 glyphed.o: glyphed.c FGrid.h bdfP.h bdf.h GEdit.h GEShared.h GEditTB.h \
- xmbdfed.h
+           xmbdfed.h
 grab.o: grab.c FGrid.h bdfP.h bdf.h xmbdfed.h
+GTest.o: GTest.c GTestP.h GTest.h bdfP.h bdf.h 
+$(HBF_OBJS): $(HBF_SRCS) $(HBF_HDRS)
 help.o: help.c bdf.h xmbdfed.h htext.h
 ops.o: ops.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
+otfin.o: otfin.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
+ProgBar.o: ProgBar.c ProgBarP.h ProgBar.h
 prog.o: prog.c ProgBar.h bdf.h xmbdfed.h
 props.o: props.c FGrid.h bdfP.h bdf.h xmbdfed.h
 setup.o: setup.c FGrid.h bdfP.h bdf.h xmbdfed.h
 test.o: test.c FGrid.h bdfP.h bdf.h xmbdfed.h GTest.h
-ttfin.o: ttfin.c
 xmbdfed.o: xmbdfed.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
